var override_queryfields = [
    {
        name: 'invoice_kind',
        queryexpression: "t1.invoice_kind = ${@invoice_kind}"
    },
    {
        name: 'contract_number',
        queryexpression: "t1.contract_number = ${@contract_number}"
    },
    {
        name: 'bp_name',
        queryexpression: "t1.bp_name = ${@bp_name}"
    },
    {
        name: 'journal_date',
        queryexpression: "to_char(t1.je_date,'yyyy-mm-dd') = ${@journal_date}"
    },
    {
        name: 'invoice_date',
        queryexpression: "to_char(t1.invoice_date,'yyyy-mm-dd') = ${@invoice_date}"
    },
    {
        name: 'base_period',
        queryexpression: "to_char(t1.je_date,'yyyymm') <= ${@base_period}"
    }
];

var add_datafilters = [{
    name: 'base_period',
    expression: "t1.invoice_date <= last_day(to_date(${@base_period},'yyyymm'))"
}];

override();
add_datafilter();